''' <summary>
''' beschreibt ein ListboxItem mit Text und DataObject
''' </summary>
''' <remarks></remarks>
Public Class ListboxItem

   Private m_Text As String
   Private m_Data As Object

   ''' <summary>
   ''' liefert oder legt fest den Text des Items
   ''' </summary>
   Public Property Text() As String
      Get
         Text = m_Text
      End Get
      Set(ByVal value As String)
         m_Text = value
      End Set
   End Property

   ''' <summary>
   ''' liefert oder legt fest das DataObject des Items
   ''' </summary>
   Public Property Data() As Object
      Get
         Data = m_Data
      End Get
      Set(ByVal value As Object)
         m_Data = value
      End Set
   End Property

   ''' <summary>
   ''' liefert den Text des Items
   ''' </summary>
   Public Overrides Function ToString() As String

      Return m_Text
   End Function

   Public Sub New()

   End Sub

   Public Sub New(ByVal mText As String)

      m_Text = mText
   End Sub

   Public Sub New(ByVal mText As String, ByVal mData As Object)

      m_Text = mText
      m_Data = mData
   End Sub
End Class
